# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/init_core.cpp File Reference

`#include <vlCore/VisualizationLibrary.hpp>`
`#include <vlCore/GlobalSettings.hpp>`
`#include <vlCore/VLXRegistry.hpp>`
`#include <vlCore/FileSystem.hpp>`
`#include <vlCore/LoadWriterManager.hpp>`
`#include <vlCore/Log.hpp>`
`#include <vlCore/Say.hpp>`
`#include <vlCore/Time.hpp>`
`#include <vlCore/Quaternion.hpp>`
`#include <vlCore/AABB.hpp>`
`#include <vlCore/Sphere.hpp>`
`#include <vlCore/version.hpp>`
`#include <vlCore/MersenneTwister.hpp>`
`#include <cassert>`
`#include "plugins/ioJPG.hpp"`
`#include "plugins/ioPNG.hpp"`
`#include "plugins/ioTIFF.hpp"`
`#include "plugins/ioTGA.hpp"`
`#include "plugins/ioDAT.hpp"`
`#include "plugins/ioDDS.hpp"`
`#include "plugins/ioBMP.hpp"`

Go to the source code of this file.

## Functions

| VL_COMPILE_TIME_CHECK (sizeof(vec2)==sizeof(real)*2) VL_COMPILE_TIME_CHECK(sizeof(vec3)

## Function Documentation

VL_COMPILE_TIME_CHECK | ( | sizeof(vec2) | = `=sizeof(real)*2` ) |

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.